Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 516550 - dev-lang/python-3.2 removal
Summary: dev-lang/python-3.2 removal
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2014-07-06 21:26 UTC by Michał Górny
Modified: 2015-08-16 20:43 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-07-06 21:26:29 UTC
So, now that 2.6 is gone, how about killing 3.2? 3.3 is the default nowadays, 3.4 is getting neat, we should expect 3.5 soon. We shouldn't also expect any more 3.2 releases:

> Python 3.2.5 was released on May 15th, 2013. This release fixes a few regressions found in Python 3.2.4, and is planned to be the final 3.2 series bugfix release.

What do you think?
Comment 1 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-07-06 21:26:45 UTC
$ gpy-upgrade-impl python3_2 python3_3
app-editors/retext:0
dev-python/Yamlog:0
dev-python/astng:0
dev-python/backports-lzma:0
dev-python/beaker:0
dev-python/execnet:0
dev-python/misaka:0
dev-python/mox3:0
dev-python/python-ldap:0
dev-python/pyxattr:0
dev-util/eric:5
net-misc/livestreamer:0
Comment 2 Dirkjan Ochtman gentoo-dev 2014-07-07 07:12:37 UTC
Sounds about right to me.
Comment 3 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-08-03 09:51:36 UTC
I think we can ignore Yamlog since it is dead and its only revdep is py2-only.
Comment 4 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2014-09-06 10:34:00 UTC
And the flag is masked now.
Comment 5 Jeroen Roovers gentoo-dev 2014-09-10 08:52:28 UTC
*** Bug 522456 has been marked as a duplicate of this bug. ***
Comment 6 ahudson.news 2014-09-10 09:14:43 UTC
Jeroen marked #522456 duplicate, but it actually isn't: please consider *unmasking* python_targets_python3_2 for dev-python/setuptools. The explanation can be found in the linked bug.
Comment 7 Manuel Rüger (RETIRED) gentoo-dev 2015-08-16 01:55:09 UTC
python3.2 has been moved to the python overlay https://github.com/gentoo/python/commit/63a2d3dcab039f0a4b0a3d4858a6540f2b3f24c0 

Is there anything left to do here?